--- ./src/Makefile-bak	2017-02-20 20:46:10.698811722 -0800
+++ ./src/Makefile	2017-02-20 21:09:01.503736178 -0800
@@ -224,12 +224,25 @@
          $(am__cd) "$$dir" && rm -f $$files; }; \
   }
 am__installdirs = "$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(gldir)" \
-	"$(DESTDIR)$(glxdir)" "$(DESTDIR)$(osmesadir)"
+	"$(DESTDIR)$(glxdir)" "$(DESTDIR)$(osmesadir)" "$(DESTDIR)$(cldir)"
 DATA = $(pkgconfig_DATA)
 am__gl_HEADERS_DIST = $(top_srcdir)/include/GL/gl.h \
 	$(top_srcdir)/include/GL/glext.h \
 	$(top_srcdir)/include/GL/glcorearb.h \
 	$(top_srcdir)/include/GL/gl_mangle.h
+
+am__cl_HEADERS_DIST = $(top_srcdir)/include/CL/cl.h \
+	$(top_srcdir)/include/CL/cl.hpp \
+	$(top_srcdir)/include/CL/cl_d3d10.h \
+	$(top_srcdir)/include/CL/cl_d3d11.h \
+	$(top_srcdir)/include/CL/cl_dx9_media_sharing.h \
+	$(top_srcdir)/include/CL/cl_egl.h \
+	$(top_srcdir)/include/CL/cl_ext.h \
+	$(top_srcdir)/include/CL/cl_gl.h \
+	$(top_srcdir)/include/CL/cl_gl_ext.h \
+	$(top_srcdir)/include/CL/cl_platform.h \
+	$(top_srcdir)/include/CL/opencl.h
+
 am__glx_HEADERS_DIST = $(top_srcdir)/include/GL/glx.h \
 	$(top_srcdir)/include/GL/glxext.h \
 	$(top_srcdir)/include/GL/glx_mangle.h
@@ -607,6 +620,20 @@
   $(top_srcdir)/include/GL/glcorearb.h \
   $(top_srcdir)/include/GL/gl_mangle.h
 
+cldir = $(includedir)/CL
+cl_HEADERS = \
+  $(top_srcdir)/include/CL/cl.h \
+  $(top_srcdir)/include/CL/cl.hpp \
+  $(top_srcdir)/include/CL/cl_d3d10.h \
+  $(top_srcdir)/include/CL/cl_d3d11.h \
+  $(top_srcdir)/include/CL/cl_dx9_media_sharing.h \
+  $(top_srcdir)/include/CL/cl_egl.h \
+  $(top_srcdir)/include/CL/cl_ext.h \
+  $(top_srcdir)/include/CL/cl_gl.h \
+  $(top_srcdir)/include/CL/cl_gl_ext.h \
+  $(top_srcdir)/include/CL/cl_platform.h \
+  $(top_srcdir)/include/CL/opencl.h
+
 glxdir = $(includedir)/GL
 glx_HEADERS = \
   $(top_srcdir)/include/GL/glx.h \
@@ -800,6 +827,29 @@
 	@list='$(gl_HEADERS)'; test -n "$(gldir)" || list=; \
 	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
 	dir='$(DESTDIR)$(gldir)'; $(am__uninstall_files_from_dir)
+
+install-clHEADERS: $(cl_HEADERS)
+        @$(NORMAL_INSTALL)
+        @list='$(cl_HEADERS)'; test -n "$(cldir)" || list=; \
+        if test -n "$$list"; then \
+          echo " $(MKDIR_P) '$(DESTDIR)$(cldir)'"; \
+          $(MKDIR_P) "$(DESTDIR)$(cldir)" || exit 1; \
+        fi; \
+        for p in $$list; do \
+          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+          echo "$$d$$p"; \
+        done | $(am__base_list) | \
+        while read files; do \
+          echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(cldir)'"; \
+          $(INSTALL_HEADER) $$files "$(DESTDIR)$(cldir)" || exit $$?; \
+        done
+
+uninstall-clHEADERS:
+        @$(NORMAL_UNINSTALL)
+        @list='$(cl_HEADERS)'; test -n "$(cldir)" || list=; \
+        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
+        dir='$(DESTDIR)$(cldir)'; $(am__uninstall_files_from_dir)
+
 install-glxHEADERS: $(glx_HEADERS)
 	@$(NORMAL_INSTALL)
 	@list='$(glx_HEADERS)'; test -n "$(glxdir)" || list=; \
@@ -1003,7 +1053,7 @@
 all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS)
 installdirs: installdirs-recursive
 installdirs-am:
-	for dir in "$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(gldir)" "$(DESTDIR)$(glxdir)" "$(DESTDIR)$(osmesadir)"; do \
+	for dir in "$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(gldir)" "$(DESTDIR)$(glxdir)" "$(DESTDIR)$(osmesadir)" "$(DESTDIR)$(cldir)"; do \
 	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
 	done
 install: $(BUILT_SOURCES)
@@ -1113,7 +1163,7 @@
 
 ps-am:
 
-uninstall-am: uninstall-glHEADERS uninstall-glxHEADERS \
+uninstall-am: uninstall-glHEADERS uninstall-glxHEADERS uninstall-clHEADERS\
 	uninstall-osmesaHEADERS uninstall-pkgconfigDATA
 
 .MAKE: $(am__recursive_targets) all check install install-am \
@@ -1125,7 +1175,7 @@
 	distclean-compile distclean-generic distclean-libtool \
 	distclean-tags distdir dvi dvi-am html html-am info info-am \
 	install install-am install-data install-data-am install-dvi \
-	install-dvi-am install-exec install-exec-am install-glHEADERS \
+	install-dvi-am install-exec install-exec-am install-glHEADERS install-clHEADERS\
 	install-glxHEADERS install-html install-html-am install-info \
 	install-info-am install-man install-osmesaHEADERS install-pdf \
 	install-pdf-am install-pkgconfigDATA install-ps install-ps-am \
